<?php

/* ========================================================================
 * $Id: cat1.edit.php 2391 2017-06-06 17:11:14Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onezphp.com
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
include(dirname(__FILE__).'/init.php');
define('CUR_URL',onez('open.wxplat')->href('/admin/cat1.php?tableid='.$tableid));
$G['title']=$table['name'].'分类管理';

$id=(int)onez()->gp('id');
if($id){#编辑
  $item=$G['this']->data()->open($tablename.'.category')->one("id='$id'");
  $G['title']='编辑'.$table['name'].'分类';
  $btnname='保存修改';
}else{#添加
  $item=array();
  $copyid=(int)onez()->gp('copyid');
  if($copyid){
    $item=$G['this']->data()->open($tablename.'.category')->one("id='$copyid'");
  }
  $G['title']='添加'.$table['name'].'分类';
  $btnname='立即添加';
}

#初始化表单
$form=onez('admin')->widget('form')
  ->set('title',$G['title'])
  ->set('values',$item)
;
#创建表单项
$form->add(array('type'=>'hidden','key'=>'action','value'=>'save'));
$form->add(array('label'=>'分类名称','type'=>'text','key'=>'name','hint'=>'','notempty'=>'分类名称不能为空','group'=>''));
$form->add(array('label'=>'分类描述','type'=>'textarea','key'=>'summary','hint'=>'','notempty'=>'','group'=>''));


#处理提交
if($onez=$form->submit()){
  ob_clean();
  if($id){
    $G['this']->data()->open($tablename.'.category')->update($onez,"id='$id'");
  }else{
    $onez['userid']=$G['userid'];
    $id=$G['this']->data()->open($tablename.'.category')->insert($onez);
  }
  onez()->ok('操作成功','reload2');
}
onez('admin')->header();
?>
<section class="content-header">
  <h1>
    <?php echo $G['title']?>
  </h1>
  <ol class="breadcrumb">
    <li>
      <a href="<?php echo onez()->href('/')?>">
        <i class="fa fa-dashboard">
        </i>
        管理首页
      </a>
    </li>
    <li class="active">
      <?php echo $G['title']?>
    </li>
  </ol>
</section>
<section class="content">
  <form id="form-common" method="post">
    <div class="box box-info">
      <div class="box-header with-border">
        <h3 class="box-title">
          <?php echo $G['title']?>
        </h3>
        <div class="box-tools pull-right">
        </div>
      </div>
      <div class="box-body">
        <?php echo $form->code()?>
      </div>
      <div class="box-footer clearfix">
        <button type="submit" class="btn btn-primary">
          <?php echo $btnname?>
        </button>
      </div>
    </div>
    <input type="hidden" name="action" value="save" />
  </form>
</section>
<?php
echo $form->js();
onez('admin')->footer();
?>